INFNOISE(8)

NAME
infnoise - Infinite Noise TRNG driver

SYNOPSIS
infnoise --help
infnoise --version
infnoise --list-devices
infnoise [--debug] [--dev-random] [--raw] [--multiplier <value>] [--no-output] [--pidfile <file>] [--daemon] [--serial <serial>]

DESCRIPTION
infnoise provides access to the Infinite Noise True Random Number Generator and allows the data it generates to be fed into the system's random number generator.

infnoise --help shows a short summary of the options.

infnoise --version displays the program's version information.

infnoise --list-devices lists all the supported TRNG devices present on the system.

infnoise reads random data from a TRNG and outputs filtered random data to its standard output. The various options control the program's behaviour.

OPTIONS

--debug
    measures the quality of the data obtained from the TRNG. It is typically used with --no-output as a sanity test.

--dev-random
    adds the filtered data to the system's entropy pool instead of sending it to its standard output.

--raw
    disables output whitening.

--multiplier<value>
    writes 256 bits × value for every 512 bits written to the Keccak sponge; the default of 0 means to write all the available entropy, without multiplying it.

--no-output
    disables output of random data.

--pidfile<file>
    stores the process' identifier in file.

--daemon
    starts the program as a daemon.

--serial<serial>
    uses the device matching the specified serial.